EDIT - bug #9020

add default role Allow_for_all_taxa (TAXONNODE.[CREATE,READ,UPDATE,DELETE])
05/15/2020 04:45 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.15

Severity: critical Found in Version:

Description

The role to edit all taxa (taxon nodes) should be provided as a default rule.
Without any default rule containig any TAXONNODE permission the user and group setup is more complicated than it needs to be.

Associated revisions

Revision e367ce34 - 05/15/2020 04:56 PM - Andreas Kohlbecker
fix #9020 adding default role Allow_for_all_taxa

History

#1 - 05/15/2020 04:57 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 100 to 50

Applied in changeset cdmlib|e367ce34f9f5{55{92e3acb2d8c58286d6406dcO.

#2 - 06/09/2020 05:55 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

The new PermissionGroup has been created in all old databases on edit-int, so this issue is fully solved.
